Package org.apache.commons.io.build

# Class AbstractOrigin.URIOrigin

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<T,B>
org.apache.commons.io.build.AbstractOrigin<URI,AbstractOrigin.URIOrigin>
org.apache.commons.io.build.AbstractOrigin.URIOrigin

All Implemented Interfaces:
  `IOSupplier<URI>`

Enclosing class:
  AbstractOrigin<T,B extends AbstractOrigin<T,B>>

public static class AbstractOrigin.URIOrigin extends AbstractOrigin<URI,AbstractOrigin.URIOrigin>
A `URI` origin.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.io.build.AbstractOrigin

  `AbstractOrigin.ByteArrayOrigin, AbstractOrigin.CharSequenceOrigin, AbstractOrigin.FileOrigin, AbstractOrigin.InputStreamOrigin, AbstractOrigin.OutputStreamOrigin, AbstractOrigin.PathOrigin, AbstractOrigin.ReaderOrigin, AbstractOrigin.URIOrigin, AbstractOrigin.WriterOrigin`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `URIOrigin(URI origin)`
  Constructs a new instance for the given origin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getFile()`
  Gets this origin as a Path, if possible.
  `Path`
  `getPath()`
  Gets this origin as a Path, if possible.

  ### Methods inherited from class org.apache.commons.io.build.AbstractOrigin

  `get, getByteArray, getByteArray, getCharSequence, getInputStream, getOutputStream, getReader, getWriter, size, toString`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier`

- ## Constructor Details

  - ### URIOrigin

    public URIOrigin(URI origin)
    Constructs a new instance for the given origin.
    Parameters:
      `origin` - The origin.

- ## Method Details

  - ### getFile

    public File getFile()
    Description copied from class: `AbstractOrigin`
    Gets this origin as a Path, if possible.
    Overrides:
      `getFile` in class `AbstractOrigin<URI,AbstractOrigin.URIOrigin>`
    Returns:
      this origin as a Path, if possible.

  - ### getPath

    public Path getPath()
    Description copied from class: `AbstractOrigin`
    Gets this origin as a Path, if possible.
    Overrides:
      `getPath` in class `AbstractOrigin<URI,AbstractOrigin.URIOrigin>`
    Returns:
      this origin as a Path, if possible.